---
name: Hoshi
route: /Form/Hoshi
menu: Form
---

import { Playground, PropsTable } from 'docz'
import Hoshi from '../../../src'
import { colors } from '@barcard/functions'

## Hoshi

## About

Hoshi-animated text input.

## Properties

<PropsTable of={Hoshi} includeDescription={true} />

## Basic Usage

<Playground>
  <Hoshi
    label={'Sample Hoshi'}
    onChangeText={() => console.log('Changed text.')}
    onBlur={() => console.log('Handled blur.')}
    multiline={false}
    secureTextEntry={false}
    numberOfLines={1}
    placeholderTextColor={colors.teal}
    renderChildren={() => {
      return null
    }}
  />
</Playground>
